[问与答] Python 没有管理或者一键安装升级脚本吗?

centos7 服务器上,
python -V: Python 2.7.5
python3 -V: Python 3.6.8

好在服务器能快照,试了一些文章的包括不限于删除 python2 ,改什么软链接到 python3 ,看的太晕了,我就一玩家,又不太理解这些链接啥的,几乎都失败了,估计是啥路径不一样导致的。

我现在就想安装一个东西,pip install XXXX ,但是提示我 python2 太低了,我就用 pip3 install XXXX 能装上,但是无法运行,估计运行又默认用到 python2 了,或者 Python 3.6.8 版本太低了,我看官网都 3.10 了,但是查了升级也挺复杂。